Bug 480457 - [gramps] Adapt to font package renamings
[gramps] Adapt to font package renamings
Product: Fedora
Classification: Fedora
Component: gramps (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
Depends On: 477336
Blocks: F11-new-font-naming
  Show dependency treegraph
Reported: 2009-01-17 07:42 EST by Nicolas Mailhot
Modified: 2010-06-28 07:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 07:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-01-17 07:42:54 EST
Notification of font package renamings
Comment 1 Nicolas Mailhot 2009-01-17 08:01:22 EST
FPC unexpectedly refused to ratify a proposal that put into writing our de-facto font package naming rules for the past years, and requested naming changes. As a result many font packages have been or will be renamed soon (including recently created packages)

We have detected your package depends on such a font package. Please change your dependencies accordingly.

See also
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#fpc_renaminghttp://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#What_if_my_package_bundles_Bitstream_Vera.2C_Arev.2C_DejaVu_LGC_or_another_Bitstream_Vera_font_derivative.3F

To ease the transition and avoid breaking F11 Alpha DejaVu has already been renamed but still declares its old names for full via rpm Provides. Those provides will be removed for Fedora 11 beta, to ensure no remaining legacy deps remains in the distribution. In the meanwhile packages depending on DejaVu full won't break and can be adapted at your leasure.
Comment 2 Jeffrey C. Ollie 2009-01-17 09:30:26 EST
Gramps depends on "freefont"... Any idea what those will be renamed to?
Comment 3 Nicolas Mailhot 2009-01-17 09:38:06 EST
Even though our new guidelines are pretty strict that ultimately depends on its packager

In the meanwhile you should consider
Comment 4 Nicolas Mailhot 2009-01-19 05:24:45 EST
[Natural language informal translation]

In this issue you're just warned font packages you depend on have been/will be
renamed shortly, so your package dependencies will break. There is not much to do except changing your deps once that happens (dejavu has been renamed, liberation has in koji but has not hit rawhide yet, smc had been
too, and you may depend on others yet)

[Just to be 100% clear I didn't ask for this last renaming run, FPC demanded naming changes for "consistency" against my advice, I'm only the good little soldier who gets to implement their decision and be yelled at, so if you're not happy complain at them not me.]
Comment 5 Nicolas Mailhot 2009-02-18 14:33:21 EST
This is a reminder for all the packagers that still have bugs open about adapting to font packaging guidelines there is only one month left before Fedora 11 beta:

A week of this month will see the Fedora 11 mass rebuild, that will load the build farm:

As already converted packages showed it is quite possible to make mistakes during the conversion. Please make releng and QA happy and don't wait till the last minute to do your changes (avoid pre-beta panic). If possible start before the mass rebuild so we don't burn cycles on incorrect packages.

The PackageKit enhancements stated for Fedora 11 assume fonts and font-using packages are sane (basically respect packaging guidelines). It is quite possible that not-converted packages will interact with the F11 font autoinstall feature in "interesting" ways.

We don't want that

There is extensive documentation on the wiki and most of your questions have likely already been answered there. Please do read the FAQ before making more work for the support team by asking questions answered there.
Comment 6 Jon Ciesla 2009-03-24 14:22:43 EDT
gnu-free-fonts has replaced freefont in rawhide.
Comment 7 Bug Zapper 2009-06-09 06:45:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 8 Bug Zapper 2010-04-27 08:45:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2010-06-28 07:07:10 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.